Glue API: Retrieve service points
Edit on GitHub
This page describes the API endpoint contract, which is the same regardless of the serving infrastructure. Storefront API endpoints are served by API Platform (recommended) or the legacy Glue infrastructure; Backend API endpoints currently run on the Glue infrastructure.
This endpoint lets you retrieve service points.
Installation
Install the Service Points feature
Retrieve service points
GET /service-points
Request
| HEADER KEY | HEADER VALUE | REQUIRED | DESCRIPTION |
|---|---|---|---|
| Authorization | string | For backend API. | Alphanumeric string that authorizes the warehouse user to send requests to protected resources. Get it by authenticating as a warehouse user. |
| QUERY PARAMETER | API TYPE | DESCRIPTION | POSSIBLE VALUES |
|---|---|---|---|
| include | Backend | Adds resource relationships to the request. | services, service-point-addresses |
| REQUEST | API TYPE | USAGE |
|---|---|---|
GET https://glue-backend.mysprykershop.com/service-points |
Backend | Retrieve all service points. |
GET https://glue-backend.mysprykershop.com/service-points?include=services |
Backend | Retrieve service points with services included. |
GET https://glue-backend.mysprykershop.com/service-points?include=service-point-addresses |
Backend | Retrieve service points with addresses included. |
GET https://glue.mysprykershop.com/service-points |
Storefront | Retrieve all service points. |
GET https://glue.mysprykershop.com/service-points?include=service-point-addresses |
Storefront | Retrieve service points with addresses included. |
Response
Backend: Retrieve all service points
{
"data": [
{
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e"
}
},
{
"type": "service-points",
"id": "7e3b03e0-c53c-5298-9ece-968f4628b4f8",
"attributes": {
"name": "Spryker Berlin Store",
"key": "sp2",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/7e3b03e0-c53c-5298-9ece-968f4628b4f8"
}
}
],
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points"
}
}
Backend: Retrieve service points with services included
{
"data": [
{
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"relationships": {
"services": {
"data": [
{
"type": "services",
"id": "37ef89d3-7792-533c-951c-981c6b56312c"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=services"
}
},
{
"type": "service-points",
"id": "7e3b03e0-c53c-5298-9ece-968f4628b4f8",
"attributes": {
"name": "Spryker Berlin Store",
"key": "sp2",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"relationships": {
"services": {
"data": [
{
"type": "services",
"id": "6358f60b-958b-53f9-9401-306c063b1282"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/7e3b03e0-c53c-5298-9ece-968f4628b4f8?include=services"
}
}
],
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points?include=services"
},
"included": [
{
"type": "services",
"id": "37ef89d3-7792-533c-951c-981c6b56312c",
"attributes": {
"uuid": "37ef89d3-7792-533c-951c-981c6b56312c",
"isActive": true,
"key": "s1"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/services/37ef89d3-7792-533c-951c-981c6b56312c?include=services"
}
},
{
"type": "services",
"id": "6358f60b-958b-53f9-9401-306c063b1282",
"attributes": {
"uuid": "6358f60b-958b-53f9-9401-306c063b1282",
"isActive": true,
"key": "s2"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/services/6358f60b-958b-53f9-9401-306c063b1282?include=services"
}
}
]
}
Backend: Retrieve service points with addresses included
{
"data": [
{
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"relationships": {
"service-point-addresses": {
"data": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=service-point-addresses"
}
},
{
"type": "service-points",
"id": "7e3b03e0-c53c-5298-9ece-968f4628b4f8",
"attributes": {
"name": "Spryker Berlin Store",
"key": "sp2",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"relationships": {
"service-point-addresses": {
"data": [
{
"type": "service-point-addresses",
"id": "7a711afc-02ce-5f54-a08c-fadfaf5713c6"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/7e3b03e0-c53c-5298-9ece-968f4628b4f8?include=service-point-addresses"
}
}
],
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points?include=service-point-addresses"
},
"included": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"attributes": {
"uuid": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"regionUuid": null,
"countryIso2Code": "DE",
"address1": "Caroline-Michaelis-Straße",
"address2": "8",
"address3": null,
"city": "Berlin",
"zipCode": "10115"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-point-addresses/74768ee9-e7dd-5e3c-bafd-b654e7946c54?include=service-point-addresses"
}
},
{
"type": "service-point-addresses",
"id": "7a711afc-02ce-5f54-a08c-fadfaf5713c6",
"attributes": {
"uuid": "7a711afc-02ce-5f54-a08c-fadfaf5713c6",
"regionUuid": null,
"countryIso2Code": "DE",
"address1": "Julie-Wolfthorn-Straße",
"address2": "1",
"address3": null,
"city": "Berlin",
"zipCode": "10115"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-point-addresses/7a711afc-02ce-5f54-a08c-fadfaf5713c6?include=service-point-addresses"
}
}
]
}
Storefront: Retrieve all service points
{
"data": [
{
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e"
}
},
{
"type": "service-points",
"id": "7e3b03e0-c53c-5298-9ece-968f4628b4f8",
"attributes": {
"name": "Spryker Berlin Store",
"key": "sp2"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/7e3b03e0-c53c-5298-9ece-968f4628b4f8"
}
}
],
"links": {
"self": "https://glue.mysprykershop.com/service-points"
}
}
Storefront: Retrieve all service points
{
"data": [
{
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=service-point-addresses"
},
"relationships": {
"service-point-addresses": {
"data": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
]
}
}
},
{
"type": "service-points",
"id": "7e3b03e0-c53c-5298-9ece-968f4628b4f8",
"attributes": {
"name": "Spryker Berlin Store",
"key": "sp2"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/7e3b03e0-c53c-5298-9ece-968f4628b4f8?include=service-point-addresses"
},
"relationships": {
"service-point-addresses": {
"data": [
{
"type": "service-point-addresses",
"id": "7a711afc-02ce-5f54-a08c-fadfaf5713c6"
}
]
}
}
}
],
"links": {
"self": "https://glue.mysprykershop.com/service-points?include=service-point-addresses"
},
"included": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"attributes": {
"countryIso2Code": "DE",
"address1": "Caroline-Michaelis-Straße",
"address2": "8",
"address3": null,
"zipCode": "10115",
"city": "Berlin"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e/service-point-addresses/74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
},
{
"type": "service-point-addresses",
"id": "7a711afc-02ce-5f54-a08c-fadfaf5713c6",
"attributes": {
"countryIso2Code": "DE",
"address1": "Julie-Wolfthorn-Straße",
"address2": "1",
"address3": null,
"zipCode": "10115",
"city": "Berlin"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/7e3b03e0-c53c-5298-9ece-968f4628b4f8/service-point-addresses/7a711afc-02ce-5f54-a08c-fadfaf5713c6"
}
}
]
}
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| service-points | name | String | This name is displayed on the Storefront. |
| service-points | key | String | Unique identifier of the service point. |
| service-points | isActive | Boolean | Defines if the service point is active. If it’s inactive, customers can’t select it. |
| service-points | stores | Object | Defines the stores the service point is available in. |
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| services | uuid | String | Unique identifier of the service. |
| services | isActive | Boolean | Defines if the service is active. Inactive services are not displayed on the Storefront. |
| services | key | String | Unique key of the service. It’s used as a reference when assigning services to service points. |
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| service-point-addresses | uuid | String | Unique identifier of the service point address. |
| service-point-addresses | countryIso2Code | String | ISO-2 country code. |
| service-point-addresses | address1 | String | Address line 1. |
| service-point-addresses | address2 | String | Address line 2. |
| service-point-addresses | address3 | String | Address line 3. |
| service-point-addresses | city | String | City. |
| service-point-addresses | zipCode | String | Zip code. |
Retrieve a service point
GET /service-points/{{service_point_id}}
| PATH PARAMETER | DESCRIPTION |
|---|---|
| {{service_point_id}} | ID of a service point to retrieve. To get it, add a service point or retrieve service points. |
Request
| HEADER KEY | HEADER VALUE | REQUIRED | DESCRIPTION |
|---|---|---|---|
| Authorization | string | For backend API. | Alphanumeric string that authorizes the warehouse user to send requests to protected resources. Get it by authenticating as a warehouse user. |
| QUERY PARAMETER | API TYPE | DESCRIPTION | POSSIBLE VALUES |
|---|---|---|---|
| include | Backend | Adds resource relationships to the request. | services, service-point-addresses |
| REQUEST | API TYPE | USAGE |
|---|---|---|
GET https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e |
Backend | Retrieve the service point with the specified ID. |
GET https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=services |
Backend | Retrieve the service point with the specified ID. Include the information about its services. |
GET https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=service-point-addresses |
Backend | Retrieve the service point with the specified ID. Include the information about its address. |
GET https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e |
Storefront | Retrieve the service point with the specified ID. |
GET https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=service-point-addresses |
Storefront | Retrieve the service point with the specified ID. Include the information about its address. |
Response
Backend: Retrieve the service point with the specified ID
{
"data": {
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e"
}
}
}
Backend: Retrieve the service point with the specified ID. Include information about its services
{
"data": {
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"relationships": {
"services": {
"data": [
{
"type": "services",
"id": "37ef89d3-7792-533c-951c-981c6b56312c"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=services"
}
},
"included": [
{
"type": "services",
"id": "37ef89d3-7792-533c-951c-981c6b56312c",
"attributes": {
"uuid": "37ef89d3-7792-533c-951c-981c6b56312c",
"isActive": true,
"key": "s1"
},
"relationships": {
"service-points": {
"data": [
{
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/services/37ef89d3-7792-533c-951c-981c6b56312c?include=services"
}
},
{
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"relationships": {
"services": {
"data": [
{
"type": "services",
"id": "37ef89d3-7792-533c-951c-981c6b56312c"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=services"
}
}
]
}
Backend: Retrieve the service point with the specified ID. Include information about its address
{
"data": {
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1",
"isActive": true,
"stores": [
"DE",
"AT"
]
},
"relationships": {
"service-point-addresses": {
"data": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
]
}
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=service-point-addresses"
}
},
"included": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"attributes": {
"uuid": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"regionUuid": null,
"countryIso2Code": "DE",
"address1": "Caroline-Michaelis-Straße",
"address2": "8",
"address3": null,
"city": "Berlin",
"zipCode": "10115"
},
"links": {
"self": "https://glue-backend.mysprykershop.com/service-point-addresses/74768ee9-e7dd-5e3c-bafd-b654e7946c54?include=service-point-addresses"
}
}
]
}
Storefront: Retrieve the service point with the specified ID
{
"data": {
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e"
}
}
}
Storefront: Retrieve the service point with the specified ID
{
"data": {
"type": "service-points",
"id": "262feb9d-33a7-5c55-9b04-45b1fd22067e",
"attributes": {
"name": "Spryker Main Store",
"key": "sp1"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e?include=service-point-addresses"
},
"relationships": {
"service-point-addresses": {
"data": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
]
}
}
},
"included": [
{
"type": "service-point-addresses",
"id": "74768ee9-e7dd-5e3c-bafd-b654e7946c54",
"attributes": {
"countryIso2Code": "DE",
"address1": "Caroline-Michaelis-Straße",
"address2": "8",
"address3": null,
"zipCode": "10115",
"city": "Berlin"
},
"links": {
"self": "https://glue.mysprykershop.com/service-points/262feb9d-33a7-5c55-9b04-45b1fd22067e/service-point-addresses/74768ee9-e7dd-5e3c-bafd-b654e7946c54"
}
}
]
}
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| service-points | name | String | This name is displayed on the Storefront. |
| service-points | key | String | Unique identifier of the service point. |
| service-points | isActive | Boolean | Defines if the service point is active. If it’s inactive, customers can’t select it. |
| service-points | stores | Object | Defines the stores the service point is available in. |
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| services | uuid | String | Unique identifier of the service. |
| services | isActive | Boolean | Defines if the service is active. Inactive services are not displayed on the Storefront. |
| services | key | String | Unique key of the service. It’s used as a reference when assigning services to service points. |
| RESOURCE | ATTRIBUTE | TYPE | DESCRIPTION |
|---|---|---|---|
| service-point-addresses | uuid | String | Unique identifier of the service point address. |
| service-point-addresses | countryIso2Code | String | ISO-2 country code. |
| service-point-addresses | address1 | String | Address line 1. |
| service-point-addresses | address2 | String | Address line 2. |
| service-point-addresses | address3 | String | Address line 3. |
| service-point-addresses | city | String | City. |
| service-point-addresses | zipCode | String | Zip code. |
Possible errors
| CODE | REASON |
|---|---|
| 5403 | The service point with the specified ID doesn’t exist. |
To view generic errors that originate from the Glue Application, see Reference information: GlueApplication errors.
Thank you!
For submitting the form